import React__default,{useState,useEffect}from'react';import {useDispatch}from'react-redux';import {Spin}from'antd';import {useExtensionController}from'@adminide-stack/extension-module-browser';import {useGetOrganizationClientsQuery}from'@adminide-stack/account-api-client';import {useGetActivitiesByDayQuery}from'@admin-layout/activity-client';import {DailyDetailsTable}from'./DailyDetailsTable.js';import*as _ from'lodash';const TabularDayView = (props) => {
    const [contributions, setContributions] = useState({});
    const controller = useExtensionController();
    const dispatch = useDispatch();
    const { userId, selectedDay, projects, members } = props;
    const { data: clients, loading: loadClients } = useGetOrganizationClientsQuery();
    const { data, loading } = useGetActivitiesByDayQuery({
        variables: {
            userId,
            date: selectedDay === null || selectedDay === void 0 ? void 0 : selectedDay.format(),
        },
        skip: !selectedDay
    });
    useEffect(() => {
        controller.services.contribution
            .getContributions()
            .subscribe(contribution => {
            setContributions(contribution);
        });
    }, []);
    return (React__default.createElement("div", null,
        React__default.createElement(Spin, { spinning: loading || loadClients },
            React__default.createElement(DailyDetailsTable, { contributions: contributions, data: _.get(data, 'getActivitiesByDay', []), dispatch: dispatch, projects: projects, members: members, clients: _.get(clients, 'getOrganizationClients', []) }))));
};export{TabularDayView};//# sourceMappingURL=TabularDayView.js.map
